Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	car navigation system
Name:		navit
Version:	0.0.4
Release:	1
License:	GNU/GPL
URL:		http://navit.sourceforge.net/
Group:		Navigation
Source0:	%{name}-%{version}.tar.gz
#Source0:       %{name}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	cegui-devel
BuildRequires:  quesoglc-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL-devel
BuildRequires:  atk-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  libgarmin-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gpsd-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:	speech-dispatcher-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel
BuildRequires:  wget

%description
Navit is a car navigation system with routing engine. 
It's modular design is capable of using vector maps of various formats for routing and rendering of the displayed map. It's even possible to use multiple maps at a time. 
The GTK+ or SDL user interfaces are designed to work well with touch screen displays. Points of Interest of various formats are displayed on the map. 
The current vehicle position is either read from gpsd or directly from NMEA GPS sensors. 
The routing engine not only calculates an optimal route to your destination, but also generates directions and even speaks to you using speechd. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%setup -n %{name}

%build
#./autogen.sh
%configure --disable-debug --disable-garmin
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_datadir/navit
%_datadir/locale

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.4-1
- Version update
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.3-4
- disable debug
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.3-3
- enable debug
* Thu Dec 27 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.3-2
- rebuild against gpsd 2.34
* Tue Dec 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.3-1
- Initial Release
